# monutil

Simple python utility for monitoring CPU and RAM usage, and the speed when downloading URLs.
Both CPU/RAM monitoring and URL monitoring can be set on their own monitoring periods.

**Configuration options:**

- hostMonitoringPeriod - the delay in between the CPU and RAM usage being probed (defined in seconds).
- urlMonitoringPeriod - the delay in between monitoring all of the URLs (defined in seconds).
- urls - the list of URLs to monitor (e.g. ["url1", "url2"].
- urlTimeout - the delay before considering a URL to have timed out.
- maxWorkers - the amount of threads to use when pulling URL resources. Do not set above the maximum number of threads on the host.
